%define module mpmath

Name:       python-mpmath
Version:    1.2.1
Release:    %mkrel 1
Summary:    Python library for arbitrary-precision floating-point arithmetic
Group:      Development/Python
License:    BSD
URL:        http://mpmath.org/
Source0:    https://pypi.io/packages/source/m/%{module}/%{module}-%{version}.tar.xz
Patch0:     mpmath-1.2.1-fix-ReDos-vulnerability.patch
BuildArch: noarch

%description
A Python library for arbitrary-precision floating-point arithmetic.

%package -n python3-%{module}
Summary: Python library for arbitrary-precision floating-point arithmetic
BuildRequires: python3-setuptools
BuildRequires: python3-setuptools_scm
Recommends: python3-matplotlib
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A Python library for arbitrary-precision floating-point arithmetic.

%prep
%setup -qn %{module}-%{version}
%apply_patches

# Convert line encodings
for doc in LICENSE CHANGES PKG-INFO mpmath/tests/runtests.py; do
 sed "s|\r||g" $doc > $doc.new
 touch -r $doc $doc.new
 mv $doc.new $doc
done

# Get rid of unnecessary shebangs
for lib in mpmath/tests/runtests.py; do
 sed '/#!\/usr\/bin\/env/d' $lib > $lib.new && \
 touch -r $lib $lib.new && \
 mv $lib.new $lib
done

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-*.egg-info


%changelog
* Mon Aug 01 2022 TerryN <terryn94 at gmail.com> 1.2.1-1pclos2022
- update and rebuild for python 3.10

* Wed Dec 30 2020 tex - 1.1.0-1pclos2020
- create pkg
